'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('../../utils');

var _CheckboxWidget = require('./../widgets/CheckboxWidget');

var _CheckboxWidget2 = _interopRequireDefault(_CheckboxWidget);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function buildOptions(schema) {
  return {
    enumOptions: (0, _utils.optionsList)(Object.assign({
      enumNames: ['true', 'false'],
      enum: [true, false]
    }, { enumNames: schema.enumNames }))
  };
}

function BooleanField(props) {
  var schema = props.schema,
      name = props.name,
      uiSchema = props.uiSchema,
      idSchema = props.idSchema,
      formData = props.formData,
      registry = props.registry,
      required = props.required,
      disabled = props.disabled,
      readonly = props.readonly,
      onChange = props.onChange;
  var title = schema.title;
  var widgets = registry.widgets,
      formContext = registry.formContext;

  var widget = uiSchema['ui:widget'];
  var commonProps = {
    schema: schema,
    id: idSchema && idSchema.$id,
    onChange: onChange,
    label: title || name,
    value: (0, _utils.defaultFieldValue)(formData, schema),
    required: required,
    disabled: disabled,
    readonly: readonly,
    registry: registry,
    formContext: formContext
  };
  if (widget) {
    var Widget = (0, _utils.getAlternativeWidget)(schema, widget, widgets);
    return _react2.default.createElement(Widget, _extends({ options: buildOptions(schema) }, commonProps));
  }
  return _react2.default.createElement(_CheckboxWidget2.default, commonProps);
}

BooleanField.defaultProps = {
  uiSchema: {},
  registry: (0, _utils.getDefaultRegistry)(),
  disabled: false,
  readonly: false
};

exports.default = BooleanField;