'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function CheckboxWidget(_ref) {
  var schema = _ref.schema,
      id = _ref.id,
      value = _ref.value,
      required = _ref.required,
      disabled = _ref.disabled,
      _onChange = _ref.onChange,
      label = _ref.label;

  return _react2.default.createElement(
    'div',
    { className: 'checkbox ' + (disabled ? 'disabled' : '') },
    _react2.default.createElement(
      'label',
      null,
      _react2.default.createElement('input', {
        type: 'checkbox',
        id: id,
        checked: typeof value === 'undefined' ? false : value,
        required: required,
        disabled: disabled,
        onChange: function onChange(event) {
          return _onChange(event.target.checked);
        }
      }),
      _react2.default.createElement(
        'strong',
        null,
        label
      )
    )
  );
}

exports.default = CheckboxWidget;